#!/usr/bin/perl -w

# res 폴더에는 jpg, gif, png 세종류 파일들이 있음
# png은 전부 발음기호 특수문자 등 필수
# gif는 8DFA476E.gif 한개만 삭제
# jpg는 썸네일과 원본그림 두개가 한 쌍 그중 썸네일 삭제
# 

use strict;

my $oneLine;
my @tmp;
my @JPGFileList;        #사용된(필요한) JPG 파일 리스트
my @resDirFileList;
my $item;
my $JPGFile;
my %seen;

open SRCFILE, "<", "AHD4_2.8.txt" || die "Can't open AHD4_2.8.txt: $!";
# open DIRLIST, ">", "resDirList.txt" || die "Can't open resDirList.txt: $!" ;
# open USEDJPG, ">", "usedJPGs.txt" || die "Can't open usedJPGs.txt: $!" ;
while (defined($oneLine = <SRCFILE>)) {        #<> operator returns undef at end of file
    
    @tmp = $oneLine =~ m/<A href='(.{5,12}\.jpg)'>/ig ;
    push @JPGFileList, @tmp ;

}

# $_ = join "\n", @JPGFileList;
# print USEDJPG $_;


@resDirFileList = glob "res\\*.*";
foreach $item (@resDirFileList) {
    $item =~ s/res\\// ;
}

# $_ = join "\n", @resDirFileList;
# print DIRLIST $_;


foreach $JPGFile (@JPGFileList) {$seen{$JPGFile} = 1;}

foreach $item (@resDirFileList) {
    if ($item =~ /\.(gif|png)/i) {next;}
    unless ($seen{$item}) { unlink("res\\" . $item); }
}


unlink("res\\8DFA476E.gif");

close SRCFILE;
# close DIRLIST;
# close USEDJPG;